> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/purchases/purchase-details",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Purchase details

> Details of a purchase (of an offer)

## Purchase Attributes
* `amount_in_cents` (integer) - Price of the purchase in cents
* `payment_type` (string) - Type of payment
* `trial` (integer) - Number of trial days. (subscription and payment plans only)
* `trial_end_at` (string) - Date the trial ends
* `multipay_payments_made` (integer) - Number of payments made
* `payment_plan_total_payments` (integer) - Total number of payments in the payment plan
* `status` (string) - The status of the purchase. For one-time purchases this will match the transaction detail status. For subscriptions and payment plans this status represents the status of the plan as compared to the transaction status which represents the individual payment.
* `opt_in` (boolean) - Whether the purchase was opt-in
* `raw_extra_contact_information` (object) - Extra contact information
* `currency` (string) - Currency of the purchase
* `effective_start_at` (string) - Start date of the purchase
* `cardholder_name` (string) - Name of the cardholder
* `billing_address_zip` (string) - Zip code of the billing address
* `deactivated_at` (string) - Date and time the purchase was deactivated
* `deactivation_reason` (string) - Reason for deactivation
* `coupon_code` (string) - Coupon code used for the purchase
* `source` (string) - Source of the purchase
* `referrer` (string) - Referrer of the purchase
* `quantity` (integer) - Quantity of the purchase
* `created_at` (string) - Date and time the purchase was created
* `updated_at` (string) - Date and time the purchase was updated_at

## Sparse Fields
### Only return amount_in_cents and multipay_payments_made attributes
* `GET /v1/purchases/123?fields[purchases]=amount_in_cents,multipay_payments_made`

Response will only include requested fields
```json
{
  "data": {
    "id": "123",
    "type": "purchases",
    "attributes": {
      "amount_in_cents": 19900,
      "multipay_payments_made": 1
    }
  }
}
```




## OpenAPI

````yaml /openapi.yaml get /v1/purchases/{id}
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/purchases/{id}:
    get:
      tags:
        - Purchases
      summary: Purchase details
      description: >
        Details of a purchase (of an offer)


        ## Purchase Attributes

        * `amount_in_cents` (integer) - Price of the purchase in cents

        * `payment_type` (string) - Type of payment

        * `trial` (integer) - Number of trial days. (subscription and payment
        plans only)

        * `trial_end_at` (string) - Date the trial ends

        * `multipay_payments_made` (integer) - Number of payments made

        * `payment_plan_total_payments` (integer) - Total number of payments in
        the payment plan

        * `status` (string) - The status of the purchase. For one-time purchases
        this will match the transaction detail status. For subscriptions and
        payment plans this status represents the status of the plan as compared
        to the transaction status which represents the individual payment.

        * `opt_in` (boolean) - Whether the purchase was opt-in

        * `raw_extra_contact_information` (object) - Extra contact information

        * `currency` (string) - Currency of the purchase

        * `effective_start_at` (string) - Start date of the purchase

        * `cardholder_name` (string) - Name of the cardholder

        * `billing_address_zip` (string) - Zip code of the billing address

        * `deactivated_at` (string) - Date and time the purchase was deactivated

        * `deactivation_reason` (string) - Reason for deactivation

        * `coupon_code` (string) - Coupon code used for the purchase

        * `source` (string) - Source of the purchase

        * `referrer` (string) - Referrer of the purchase

        * `quantity` (integer) - Quantity of the purchase

        * `created_at` (string) - Date and time the purchase was created

        * `updated_at` (string) - Date and time the purchase was updated_at


        ## Sparse Fields

        ### Only return amount_in_cents and multipay_payments_made attributes

        * `GET
        /v1/purchases/123?fields[purchases]=amount_in_cents,multipay_payments_made`


        Response will only include requested fields

        ```json

        {
          "data": {
            "id": "123",
            "type": "purchases",
            "attributes": {
              "amount_in_cents": 19900,
              "multipay_payments_made": 1
            }
          }
        }

        ```
      parameters:
        - name: id
          in: path
          required: true
          description: Purchase ID
          schema:
            type: string
        - name: fields[purchases]
          in: query
          required: false
          description: >-
            Partial attributes as specified, e.g.
            fields[purchases]=amount_in_cents
          schema:
            type: string
      responses:
        '200':
          description: Success, shows details of a purchase
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/purchases_show_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
        '404':
          description: Not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_not_found'
      security:
        - Bearer: []
components:
  schemas:
    purchases_show_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
              enum:
                - purchases
            attributes:
              $ref: '#/components/schemas/purchases_attributes'
            relationships:
              type: object
              properties:
                offer:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                customer:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                transactions:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                products:
                  type: object
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_not_found:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    purchases_attributes:
      type: object
      properties:
        amount_in_cents:
          type: integer
        payment_type:
          type: string
        multipay_payments_made:
          type:
            - integer
            - 'null'
        opt_in:
          type: boolean
        raw_extra_contact_information:
          type: object
        currency:
          type: string
        effective_start_at:
          type:
            - string
            - 'null'
        cardholder_name:
          type:
            - string
            - 'null'
        billing_address_zip:
          type:
            - string
            - 'null'
        deactivated_at:
          type:
            - string
            - 'null'
        deactivation_reason:
          type:
            - string
            - 'null'
        coupon_code:
          type:
            - string
            - 'null'
        source:
          type:
            - string
            - 'null'
        referrer:
          type:
            - string
            - 'null'
        quantity:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````